Package org.apache.commons.imaging.common

## Class GenericImageMetadata

- java.lang.Object
- - org.apache.commons.imaging.common.GenericImageMetadata

- All Implemented Interfaces:
    `ImageMetadata`
  Direct Known Subclasses:
    `JpegPhotoshopMetadata`, `TiffImageMetadata`, `TiffImageMetadata.Directory`

      public class GenericImageMetadata
      extends Object
      implements ImageMetadata

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `GenericImageMetadata.GenericImageMetadataItem` |

    - ### Nested classes/interfaces inherited from interface org.apache.commons.imaging.common.ImageMetadata

      `ImageMetadata.ImageMetadataItem`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenericImageMetadata()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(String keyword, String text)` |
    `void` | `add​(ImageMetadata.ImageMetadataItem item)` |
    `List<? extends ImageMetadata.ImageMetadataItem>` | `getItems()` |
    `String` | `toString()` |
    `String` | `toString​(String prefix)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericImageMetadata

          public GenericImageMetadata()

  - ### Method Detail

    - #### add

          public void add​(String keyword,
                          String text)

    - #### add

          public void add​(ImageMetadata.ImageMetadataItem item)

    - #### getItems

          public List<? extends ImageMetadata.ImageMetadataItem> getItems()

      Specified by:
        `getItems` in interface `ImageMetadata`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toString

          public String toString​(String prefix)

      Specified by:
        `toString` in interface `ImageMetadata`